{
  "info": {
    "properties": {
      "id": {
        "type": "long"
      },
      "idProduct": {
        "type": "long"
      },
      "idClient": {
        "type": "long"
      },
      "clientName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "orderMoneyTotal": {
        "type": "double"
      },
      "orderMoneyPrint": {
        "type": "double"
      },
      "orderMoneySend": {
        "type": "double"
      },
      "kindCount": {
        "type": "integer"
      },
      "orderQty": {
        "type": "double"
      },
      "orderMemo": {
        "type": "text",
        "index": "not_analyzed"
      },
      "quoteMemo": {
        "type": "text",
        "index": "not_analyzed"
      },
      "quoteKeyIndex": {
        "type": "integer"
      },
      "quoteMoneySign": {
        "type": "text",
        "index": "not_analyzed"
      },
      "createMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idProductType": {
        "type": "long"
      },
      "productName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "partList": {
        "type": "nested",
        "properties": {
          "idPart": {
            "type": "long"
          },
          "partName": {
            "type": "text",
            "analyzer": "index_ansj",
            "search_analyzer": "query_ansj",
            "fields": {
              "raw": {
                "type": "keyword"
              },
              "number": {
                "type": "text",
                "index": "analyzed",
                "analyzer": "number_analyzer"
              },
              "letter": {
                "type": "text",
                "index": "analyzed",
                "analyzer": "letter_analyzer"
              }
            }
          },
          "paramValueList": {
            "type": "nested",
            "properties": {
              "idParameter": {
                "type": "long"
              },
              "idPartInfo": {
                "type": "long"
              },
              "idProduct": {
                "type": "long"
              },
              "paramValue": {
                "type": "text",
                "index": "not_analyzed"
              },
              "paramDisplay": {
                "type": "text",
                "index": "not_analyzed"
              }
            }
          }
        }
      }
    }
  }
}
